
body, html{
  margin:0;
  padding:0;
}

.deviceContainer {
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  font-weight: small;
  font-size: 15px;
  margin: 20px;
  padding: 15px;
  background-color: #27ae60;
  color: white;
  box-shadow: 2px 2px 10px grey;
  border-radius: 5px;
  float: left;
}

.deviceContainer:hover
{
  background-color: #2ecc71;
}

.deviceLink input
{
  background: none;
  color: white;
  border: none;
  padding: 0;
  padding-bottom: 20px;
  font: inherit;
  font-size: 20px;
  text-decoration: underline;
  cursor: pointer;
}

.datadownloadlink input
{
  background: none;
  color: white;
  border: none;
  padding: 0;
  padding-bottom: 10px;
  font: inherit;
  text-decoration: underline;
  cursor: pointer;
}

#deviceListContainer
{
  margin-top: 5px;
  margin-left: 13%;
  margin-bottom: 3%;
  //display:inline-grid;
}
.topHead
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  //background-color: #3498db;
  background-color: #e74c3c;
  color: white;
  box-shadow: 2px 2px 5px grey;
  //position:fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 8%;
  margin: 0;
  padding: 0;
  clear: both;
}

.topHead p
{
  font-size: 25px;
  display: inline-block;
  vertical-align: top;
}

.topHead a
{
  color: white;
  font-size: 18px;
  margin-left: 10%;
  margin-top: 20px;
  display: inline-block;
  vertical-align: top;
}

.topHead #povratak
{
  color: white;
  font-size: 25px;
  margin-left: 15%;
  margin-top: 20px;
  display: inline-block;
  vertical-align: top;
}

.topHead #naslov
{
  margin-top: 15px;
  margin-left: 10%;
}

.topHead #username
{
  font-size: 20px;
  margin-top: 20px;
  margin-left: 45%;
}

body {
 background-color: #ecf0f1;
}

#deviceNameString
{
  padding-bottom: 1px;
  margin: 0px;
  font-size: 25px;
}

#map {
    height: 400px; /* The height is 400 pixels */
    width: 400px; /* The width is the width of the web page */
}

#loginContainer
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  margin-top: 130px;
  margin-left: 32%;
  margin-right: 32%;
  position: relative;
  box-shadow: -1px -1px 28px grey;
  border-radius: 10px;
  background-color: #27ae60;//#3498db;
  color: ##2c3e50;
}

#loginBnr
{
  padding-top: 15px;
  text-align: center;
  font-size: 30px;
  color: white;
}

#inputContainer
{
  margin-left: 35%;
  margin-right: 35%;
}

.loginButton button
{
  margin-top: 10%;
}

.userField input
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  margin-top: 10px;
  margin-bottom: 25px;
  border-style: none;
  border-radius: 5px;
  padding: 10px;
  box-shadow: 2px 2px 5px gray;
  text-align: center;
}

.userField label
{
  text-align: center;
  color: white;
}

.passField input
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  margin-top: 10px;
  margin-bottom: 50px;
  border-style: none;
  border-radius: 5px;
  padding: 10px;
  box-shadow: 2px 2px 5px gray;
  text-align: center;
}

.passField label
{
  text-align: center;
  color: white;
}

.loginButton button
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  margin-top: 10px;
  margin-bottom: 50px;
  border-style: none;
  border-radius: 5px;
  padding: 10px;
  width: 150px;
  box-shadow: 2px 2px 5px grey;
}

.userField
{
  margin-left: 10%;
}

.passField
{
  margin-left: 10%;
}

.loginButton
{
  margin-left: 10%;
}

#noDataMessage
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  font-size: 20px;
  color: black;
}

#deviceDetailsContainer
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  margin-top: 5px;
  //border-style: solid;
  border-color: black;
  margin-left: 10%;
  margin-right: 10%;
  break-after:page;
}

#deviceDescContainer
{
  font-size: 19px;
  margin-top: 0px;
  margin-right: 20px;
  padding: 15px;
  padding-bottom: 35px;
  border-color: black;
  float: left;
  box-shadow: -1px -1px 28px grey;
  background-color: #27ae60;
  color: white;
}

#map
{
  width: 580px;
  height: 420px;
  margin-top: 0px;
  border-color: black;
  float: right;
  box-shadow: -1px -1px 28px grey;
  clear:none;
}

#recordTable
{
  padding-top: 45%;
}

.deviceTable td {
    padding: 8px 16px 8px 16px;
}

/*.deviceTable tr:hover {
    background-color: #9FCEEE;
}*/

.deviceTable #overSpeed {
    background-color: #e74c3c;
}

.deviceTable th {
    background-color: #2980b9;
    color: #ecf0f1;
    padding: 8px 16px 8px 16px;
}

.deviceTable {
    width: 100%;
    margin-bottom: 50px;
    box-shadow: -1px -1px 28px grey;
}

.break
{
  padding-bottom: 40%;
}

#zadnjih50
{
  font-family: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
  font-size: 22px;
}
